from django_filters import FilterSet
from django_filters import filters

from .models import Item


class MyOrderingFilter(filters.OrderingFilter):
    descending_fmt = '%s Decending'


class ItemFilter(FilterSet):

    name = filters.CharFilter(label='Name', lookup_expr='contains')
    note = filters.CharFilter(label='Note', lookup_expr='contains')
    sta = filters.CharFilter(label='Station', lookup_expr='contains')
    net = filters.CharFilter(label='Network', lookup_expr='contains')
    sen1sn = filters.CharFilter(label='Sensor1 S/N', lookup_expr='contains')
    sen2sn = filters.CharFilter(label='Sensor2 S/N', lookup_expr='contains')
    sen1model = filters.CharFilter(label='Sensoe1 Model', lookup_expr='contains')
    sen2model = filters.CharFilter(label='Sensoe2 Model', lookup_expr='contains')
    loggermodel = filters.CharFilter(label='Logger Model', lookup_expr='contains')
    loggersn = filters.CharFilter(label='Logger S/N', lookup_expr='contains')

    #psd1z_200s = filters.NumericRangeFilter()
    #psd1z_200s = filters.NumberFilter(label='psd1z_200s')
    psd1z_200s__gt = filters.NumberFilter(field_name='psd1z_200s', lookup_expr='gt')
    psd1z_200s__lt = filters.NumberFilter(field_name='psd1z_200s', lookup_expr='lt')
    psd1n_200s__gt = filters.NumberFilter(field_name='psd1n_200s', lookup_expr='gt')
    psd1n_200s__lt = filters.NumberFilter(field_name='psd1n_200s', lookup_expr='lt')
    psd1e_200s__gt = filters.NumberFilter(field_name='psd1e_200s', lookup_expr='gt')
    psd1e_200s__lt = filters.NumberFilter(field_name='psd1e_200s', lookup_expr='lt')

    psd2z_200s__gt = filters.NumberFilter(field_name='psd2z_200s', lookup_expr='gt')
    psd2z_200s__lt = filters.NumberFilter(field_name='psd2z_200s', lookup_expr='lt')
    psd2n_200s__gt = filters.NumberFilter(field_name='psd2n_200s', lookup_expr='gt')
    psd2n_200s__lt = filters.NumberFilter(field_name='psd2n_200s', lookup_expr='lt')
    psd2e_200s__gt = filters.NumberFilter(field_name='psd2e_200s', lookup_expr='gt')
    psd2e_200s__lt = filters.NumberFilter(field_name='psd2e_200s', lookup_expr='lt')
    starting_date__gt = filters.DateTimeFilter(field_name='starting_date', lookup_expr='gt')
    starting_date__lt = filters.DateTimeFilter(field_name='starting_date', lookup_expr='lt')
    end_date__gt = filters.DateTimeFilter(field_name='end_date', lookup_expr='gt')
    end_date__lt = filters.DateTimeFilter(field_name='end_date', lookup_expr='lt')

    order_by = MyOrderingFilter(

        fields=(
            ('name', 'name'),
        ),
        field_labels={
            'name': 'name',
            'psd1z_200s': ['lt', 'gt'],
        },
        label='Sorting'
    )

    class Meta:
        model = Item
        fields = ('name','sta','starting_date__gt','starting_date__lt','end_date__gt','end_date__lt',
            'sen1model','sen1sn','sen2model','sen2sn','loggermodel','loggersn',
            'psd1z_200s__gt','psd1z_200s__lt','psd1n_200s__gt','psd1n_200s__lt','psd1e_200s__gt','psd1e_200s__lt',
            'psd2z_200s__gt','psd2z_200s__lt','psd2n_200s__gt','psd2n_200s__lt','psd2e_200s__gt','psd2e_200s__lt',
            'twfcheck','lwfcheck','net','note',)
