###
# added
#  pip install django-bootstrap-datepicker-plus
#import bootstrap_datepicker_plus as datetimepicker
from bootstrap_datepicker_plus import DateTimePickerInput
###

from django import forms
from .models import Item


class ItemForm(forms.ModelForm):

    class Meta:
        model = Item
        fields = ('name','sta','net','starting_date','end_date','sen1model','sen1sn','sen2model','sen2sn','loggermodel','loggersn','psd1z_200s','psd1n_200s','psd1e_200s','psd2z_200s','psd2n_200s','psd2e_200s','twfcheck','lwfcheck','note',)
        widgets = {
                    'name': forms.TextInput(attrs={'placeholder':'Example: BK.BK01 2018/01/01T00:00:00'}),
                    'sta': forms.TextInput(attrs={'placeholder':'Example: BK01'}),
                    'net': forms.TextInput(attrs={'placeholder':'Example: BK'}),
                    'starting_date': forms.DateTimeInput(format='%Y-%m-%d %H:%M:%S', attrs={'placeholder':'Example: 2018-01-01 00:00:00'}),
                    'end_date': forms.DateTimeInput(format='%Y-%m-%d %H:%M:%S', attrs={'placeholder':'Example: 2018-01-01 00:00:00'}),
                    'sen1model': forms.TextInput(attrs={'placeholder':'Example: CMG-3T'}),
                    'sen1sn': forms.TextInput(attrs={'placeholder':'Example: T30000'}),
                    'sen2model': forms.TextInput(attrs={'placeholder':'Example: Fortis'}),
                    'sen2sn': forms.TextInput(attrs={'placeholder':'Example: TF141'}),
                    'loggermodel': forms.TextInput(attrs={'placeholder':'Example: Minimus+'}),
                    'loggersn': forms.TextInput(attrs={'placeholder':'Example: MINP-0519'}),
                    'psd1z_200s': forms.NumberInput(),
                    'psd1n_200s': forms.NumberInput(),
                    'psd1e_200s': forms.NumberInput(),
                    'psd2z_200s': forms.NumberInput(),
                    'psd2n_200s': forms.NumberInput(),
                    'psd2e_200s': forms.NumberInput(),
                    'twfcheck': forms.RadioSelect(),
                    'lwfcheck': forms.RadioSelect(),
                    'note': forms.Textarea(attrs={'rows':4}),
                  }
